Subject: Re: [pkix] RFC4387, cert store access via http implementations?

From: Tomas Gustavsson <[email-masked]>
Date: Sat, 27 Nov 2010 10:47:35 +0100

On 11/26/2010 10:22 PM, Peter Gutmann wrote:
> Tomas Gustavsson <[email-masked]> writes:
>
>> We just implemented RFC4387 in EJBCA (ejbca.org), or at least partly. So just
>> out of curiosity, has this rfc other implementations? Is it widely used by
>> any clients (I don't know of any myself)?
> I've had an impementation of both client and server for some years now in
> cryptlib.  It seems to be popular in roll-your-own implementations and
> embedded devices (possibly the preponderance of roll-your-own is because it's
> not supported by any large vendor so you don't have any choice), but there's
> not much visibility of that.
>
> Peter.

Thanks for the info.

As I suspected, cryptlib has it :-)
There's lots of things I would like to try interop with cryptlib
with...if I ever would get the time to refresh my old c-skills :-( I've
tested SCEP and CMP in the past, but as we all know things change over
time (what I'd love to do is a command line tool that I could run from
my auto tests).

Cheers,
Tomas